# File: Zope.spec
#
####
%define pythondir python%__python_version

%define release alt1
%def_with unicode
%if_without unicode
%define release alt0.latin1
%endif
%define mjv 2.8.1
%define mnv final

%define python_binary /usr/bin/python%__python_version

Name: Zope
Version: %mjv.%mnv
Release: %release
License: Zope Public License (ZPL)
Url: http://www.zope.org/
PreReq: python = %__python_version
BuildRequires: python-devel = %__python_version
AutoReq: yes, noshell

Source0: Zope-%mjv-%mnv.tar.gz
Source1: Zope-utils.tar.gz
Source3: Zope-doc.tar.gz
Source4: ZopeBook-2_6.pdf

Patch2: Zope-2.8.0-unicode.patch
Patch3: Zope-2.8.0.b2-fsdump.patch
Patch4: Zope-2.7.2-export.patch
Patch6: Zope-management.patch
Patch7: Zope-2.8.0.b2-form-browse.patch
Patch8: Zope-skel.patch
Patch9: Zope-2.8.0-mkzopeinstance.patch
# ready
#----------------------------------------------------------------------
Summary: Zope common installation
Summary(ru_RU.KOI8-R): Zope -   
Group: System/Servers
Requires: python = %__python_version
Requires: Zope-ZServer = %version-%release
Requires: Zope-ZUtils = %version-%release

%description
This package contains modules used by variations of Zope Application Server:
ZServer and PCGI

%description -l ru_RU.KOI8-R
       
Zope : ZServer & PCGI.

#----------------------------------------------------------------------
%package Modules
Summary: Zope modules used by ZServer and PCGI
Summary(ru_RU.KOI8-R): Zope - ,  ZServer  PCGI
Group: System/Servers/ZProducts
Requires: python = %__python_version
Requires: Zope-core = %version-%release
Requires: Zope-ZODB = %version-%release
Requires: Zope-ZPublisher = %version-%release
Requires: Zope-StructuredText = %version-%release
Requires: Zope-reStructuredText = %version-%release
Requires: Zope-DateTime = %version-%release
Requires: Zope-RestrictedPython = %version-%release,
Requires: Zope-DocumentTemplate = %version-%release
Requires: Zope-TAL = %version-%release
Obsoletes: ZHotfix_2002-06-14
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: CrayFIX
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
%description Modules
This package contains modules used by variations of Zope Application Server:
ZServer and PCGI

%description Modules -l ru_RU.KOI8-R
       
Zope : ZServer & PCGI.

#----------------------------------------------------------------------
%package core
Summary: Libraries used by Zope and ZODB
Summary(ru_RU.KOI8-R): ,  Zope & ZODB.
Group: System/Servers/ZProducts
Requires: python = %__python_version
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01

%description core
Package contains modules used by Zope and ZODB -- e.g. ExtensionClass,
BTree.

%description -l ru_RU.KOI8-R core
  ,  ZODB & ZOPE,   ExtensionClass,
BTree  .

#----------------------------------------------------------------------
%package ZODB
Requires: python = %__python_version, Zope-core = %version-%release
Summary: ZODB and BTrees - object-oriented database ZODB
Summary(ru_RU.KOI8-R): ZODB and BTrees - -   ZODB
Group: System/Servers
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01

%description ZODB
This package contains object-oriented database serving as Zope's base.
While package is not compatible with Standalone ZODB, it can be used
separately.

ZODB is an object-oriented datanase allowing to store objects and keep
relational integrity by means of versions mechanisms and transactions
with rollback.

%description -l ru_RU.KOI8-R ZODB
  -  ,   
 Zope.       Standalone ZODB,  
 .

ZODB - -  ,  
        
    .

#----------------------------------------------------------------------
%package ZPublisher
Requires: python = %__python_version, Zope-core = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: ZPublisher - Zope query proceeding
Summary(ru_RU.KOI8-R): ZPublisher -    Zope
Group: System/Servers

%description ZPublisher
Package contains REQUEST and RESPONSE classes and means to work with them
used by Zope during request processing.

%description -l ru_RU.KOI8-R ZPublisher
    REQUEST, RESPONSE    
,  Zope   .

#----------------------------------------------------------------------
%package StructuredText
Requires: python = %__python_version, Zope-core = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: StructuredText - automatic text markup
Summary(ru_RU.KOI8-R): StructuredText -   
Group: System/Servers/ZProducts

%description StructuredText
Package provides means to automatically markup plain text with HTML tags,
while approximately preserving text layout: paragraphs, headers and lists
are detected.

Links, tables and italics/underline/bold font are also accessible.

%description -l ru_RU.KOI8-R StructuredText
       
HTML,      : 
 ,   .  
  ,      ,
   .

#----------------------------------------------------------------------
%package reStructuredText
Requires: python = %__python_version, Zope-core = %version-%release
Summary: reStructuredText - automatic text markup (new)
Summary(ru_RU.KOI8-R): reStructuredText -   
Group: System/Servers/ZProducts

%description reStructuredText
This is new generation of StructuredText - package provides means to
automatically markup plain text with HTML tags, while approximately
preserving text layout: paragraphs, headers and lists are detected.

Links, tables and italics/underline/bold font are also accessible.

%description -l ru_RU.KOI8-R StructuredText
   StructuredText - ,  
     HTML,   
  :   ,  
.     ,  
   ,    .

#----------------------------------------------------------------------
%package TAL
Requires: python = %__python_version, Zope-core = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: TAL - XML template engine
Summary(ru_RU.KOI8-R): TAL -   XML
Group: System/Servers/ZProducts

%description TAL
This package contains XML processing code which lets generate HTML code
described in special language.  Unlike DTML (DocumentTemplate), TAL leans
toward template editing by visual means and demands consistency of HTML
document being formed.

%description -l ru_RU.KOI8-R TAL
    XML-   
HTML-,    .    DTML
(DocumentTemplate), TAL     
       
  HTML-.

#----------------------------------------------------------------------
%package DateTime
Requires: python = %__python_version, Zope-core = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: Date and time representation
Summary(ru_RU.KOI8-R): DateTime -    
Group: System/Servers/ZProducts

%description DateTime
Package contains DateTime class whose objects represent time and date
and convert between widely used formats (e.g. RFC822).

%description -l ru_RU.KOI8-R DateTime
   DateTime,     
     ,    
  ( .. RFC822).

#----------------------------------------------------------------------
%package RestrictedPython
Requires: python = %__python_version, Zope-core = %version-%release
Requires: Zope-RestrictedPython = %version-%release
Requires: Zope-DateTime = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: RestrictedPython for protected environments
Summary(ru_RU.KOI8-R): RestrictedPython -  
Group: System/Servers/ZProducts

%description RestrictedPython
RP allows to restrict interpreter's capabilities during some code fragments
execution and thus keep potentially dangerous constructs and/or subprograms
from being executed.

%description -l ru_RU.KOI8-R RestrictedPython
     Python  
        
 .

#----------------------------------------------------------------------
%package DocumentTemplate
Requires: python = %__python_version, Zope-core = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: DocumentTemplate - DTML template engine
Summary(ru_RU.KOI8-R): DocumentTemplate -  DTML-
Group: System/Servers/ZProducts

%description DocumentTemplate
This package contains DocumentTemplate module which allows to work with
DTML document templates.  Template syntax is similar to HTML and has
language constructs like loop and conditional operators and exception
handling.

%description -l ru_RU.KOI8-R DocumentTemplate
   DocumentTemplate,   
DTML- .      HTML 
 ,    ,   
 .

#----------------------------------------------------------------------
%package ExtensionClass
Requires: python = %__python_version, Zope-core = %version-%release
Summary: ExtensionClass - ExtensionClass
Group: System/Servers

%description ExtensionClass
This package contains ExtensionClass module that exists to support types
derived from the old ExtensionType meta-class that preceeded Python 2.2 and
new-style classes.

%description -l ru_RU.KOI8-R ExtensionClass
    ExtensionClass,    
     ExtensionType,  
  Python 2.2  new-style .

#----------------------------------------------------------------------
%package Five
Requires: python = %__python_version, Zope-core = %version-%release
Summary: Zope Five 
Group: System/Servers

%description Five 
Five's goal is to let you, the Zope 2 developer, use Zope 3 code in
Zope 2. Our aim is to make as much of Zope 3 code work in Zope 2 as
possible, while integrating it with Zope 2.

#----------------------------------------------------------------------
%package X3
Requires: python = %__python_version, Zope-core = %version-%release
Summary: Zope  X3 Products
Group: System/Servers

%description X3
Packages from Zope X3 


#----------------------------------------------------------------------
%package Obsolete
Requires: python = %__python_version
Summary: Obsoleted zope modules
Summary(ru_RU.KOI8-R):   Zope
Group: System/Servers

%description Obsolete
Obsoleted Modules for Zope

%description -l ru_RU.KOI8-R Obsolete
  ,       
  python23.

#----------------------------------------------------------------------
%package Testing
Requires: python = %__python_version, Zope-ZODB = %version-%release
Requires: Zope-ZPublisher = %version-%release
Summary: Testing environment for Zope components
Summary(ru_RU.KOI8-R): Testing -    Zope
Group: System/Servers

%description Testing
Modules to carry out tests contained in Zope packages

%description -l ru_RU.KOI8-R Testing
  ,    ,  
 Zope.

#----------------------------------------------------------------------
%package ThreadedAsync
Requires: python = %__python_version
Summary: Manage the asyncore mainloop in a multi-threaded app
Group: Development/Python

%description ThreadedAsync
Manage the asyncore mainloop in a multi-threaded app

#----------------------------------------------------------------------
%package docutils
Requires: python = %__python_version
Summary: Python Documentation Utilities
Group: Development/Python

%description docutils
Python Documentation Utilities

#----------------------------------------------------------------------
%package ZServer
Requires: python = %__python_version, Zope-Modules = %version-%release
%py_provides ZServer
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: ZServer - Zope Application Server
Summary(ru_RU.KOI8-R): ZServer -   Zope
Group: System/Servers

%description ZServer
Zope object-oriented Application Server is accessible via HTTP and FTP
protocols.  It stores all objects in ZODB and forms dynamically generated
pages or other responses to client application requests.

%description -l ru_RU.KOI8-R ZServer
-   Zope,  
 HTTP  FTP. Zope      ZODB  
   (  )    
 .

#----------------------------------------------------------------------
%package ZUtils
AutoReq: yes, noshell
Requires: python = %__python_version, Zope-ZHome = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: ZUtils - Zope startup and maintenance scripts
Summary(ru_RU.KOI8-R): ZUtils -      Zope
Group: System/Servers

%description ZUtils
Scripts helping in Zope administration: server starting, database crunching,
log rotation etc.

Package creates `zope' user and first server named `basic'.

%description -l ru_RU.KOI8-R ZUtils
  ,    Zope: ,
  ,    ..

     zope     
basic.

#----------------------------------------------------------------------
%package Book
Summary: Book about Zope from DC
Summary(ru_RU.KOI8-R):   Zope  DC
Group: System/Servers
Prefix: /usr/share/zope

%description Book
The Digital Creation's book about ZOPE in PDF format.
This book is designed to introduce you to Zope and its uses. Zope is an open
source web application server. If you are interested in writing web pages,
programming web scripts, using databases, managing content, or doing a
collaborative web development task, then you should read this book.

%description -l ru_RU.KOI8-R Book
  Digital Creation  Zope   PDF.  
         Zope 
  . Zope -  -    .
    ,     -,
 -,   ,  
     .

#----------------------------------------------------------------------
%package ZHome
AutoReq: yes, noshell
Requires: python = %__python_version
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: ZHome - sample home directory of ZServer
Summary(ru_RU.KOI8-R): ZHome -    ZServer
Group: System/Servers
Prefix: /usr/share/zope

%description ZHome
Contains initial ZODB base and other files necessary for Zope to start.
Serves as a sample (or skeleton) for addzopesite.py utility to generate
new home directories.

%description -l ru_RU.KOI8-R ZHome
,    ZODB   ,   
Zope.     ,   
addzopesite.py    .

#----------------------------------------------------------------------
%prep
%setup -n Zope-%mjv-%mnv -a 1
%setup -D -T -n Zope-%mjv-%mnv -a 3
%if_with unicode
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
./configure --prefix=$RPM_BUILD_ROOT/usr/lib/zope --with-python=%python_binary
make

%install

  # Make the Necessary Directories
  install -m0755 --directory      $RPM_BUILD_ROOT/etc/httpd/conf
  install -m0755 --directory      $RPM_BUILD_ROOT/etc/rc.d/init.d
  install -m0755 --directory      $RPM_BUILD_ROOT/etc/cron.daily
  install -m0755 --directory      $RPM_BUILD_ROOT/etc/logrotate.d
  install -m0755 --directory      $RPM_BUILD_ROOT/etc/sysconfig
  install -m0755 --directory      $RPM_BUILD_ROOT/etc/sysconfig/zope
  install -m0755 --directory      $RPM_BUILD_ROOT/%_bindir
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/%pythondir/lib-dynload

  install -m0755 --directory      $RPM_BUILD_ROOT/usr/share/doc/Zope-%version
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/share/doc/ZopeBook

  # Directory Structure for SOFTWARE_HOME=/usr/lib/zope/
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/zope
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/zope/lib
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/zope/tools
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/zope/lib/python

  # Directory Structure for INSTANCE_HOME=/var/zope/
  install -m0755 --directory      $RPM_BUILD_ROOT/var/lib/zope
  install -m0755 --directory      $RPM_BUILD_ROOT/var/log/zope

  install -m0775 --directory      $RPM_BUILD_ROOT%prefix

  make install

  for i in BTrees DateTime DocumentTemplate Interface RestrictedPython  \
	   Testing ZODB TAL StructuredText reStructuredText tempstorage \
	   docutils zLOG ZPublisher Persistence ThreadedAsync ZTUtils persistent \
	   ExtensionClass transaction;
    do mv $RPM_BUILD_ROOT/usr/lib/zope/lib/python/$i $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages
  done

  mv $RPM_BUILD_ROOT/usr/lib/zope/lib/python/*.so $RPM_BUILD_ROOT/usr/lib/%pythondir/lib-dynload

  #  ------------------------------------
  cp -dp Zope-utils/cfg/zope_hosts.cfg $RPM_BUILD_ROOT/etc/sysconfig
  cp -dp Zope-utils/cfg/zope_local.cfg $RPM_BUILD_ROOT/etc/sysconfig
  cp -dp Zope-utils/cfg/zope_default $RPM_BUILD_ROOT/etc/sysconfig
  cp -dp Zope-utils/cfg/zope_proxy.conf $RPM_BUILD_ROOT/etc/httpd/conf
  cp -dp Zope-utils/cfg/cron.daily.zope  $RPM_BUILD_ROOT/etc/cron.daily/zope
  cp -dp Zope-utils/cfg/logrotate.d.zope $RPM_BUILD_ROOT/etc/logrotate.d/zope

  #   ------------------------
  install -m0755 Zope-utils/scripts/init.d.zope $RPM_BUILD_ROOT/etc/rc.d/init.d/zope
  # install -m0755 Zope-utils/scripts/xmliconv.py $RPM_BUILD_ROOT/usr/lib/zope/bin/zxmliconv.py
  install -m0755 Zope-utils/scripts/zctl_zope_pack.py $RPM_BUILD_ROOT//usr/lib/zope/lib/python/Zope2/Startup/zctl_zope_pack.py

  #   ------------------------
  rm $RPM_BUILD_ROOT/usr/lib/zope/bin/test.py
  for i in $RPM_BUILD_ROOT/usr/lib/zope/bin/*py; do
     ln -sf /usr/lib/zope/bin/"$(basename "$i")" $RPM_BUILD_ROOT%_bindir/"$(basename "$i" .py)";
  done
  rm  $RPM_BUILD_ROOT/usr/lib/zope/bin/python

  #  skel -----------------------------
  mv $RPM_BUILD_ROOT/usr/lib/zope/skel $RPM_BUILD_ROOT%prefix
  mv $RPM_BUILD_ROOT/usr/lib/zope/import  $RPM_BUILD_ROOT%prefix

  # reserved

  # =========    ==============
  #    -------------------
  rm -rf $RPM_BUILD_ROOT/usr/lib/zope/lib/python/nt_svcutils/
  rm -rf $RPM_BUILD_ROOT/usr/lib/zope/lib/python/Zope/Startup/nt/

  #    -------------------------
  rm -rf $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages/Interface/Mapping.py
  rm -rf $RPM_BUILD_ROOT/usr/lib/zope/lib/python/Shared/DC/xml/pyexpat/_checkversion.py

  # Medusa demo hack ---------------------------
  #rm -rf $RPM_BUILD_ROOT/usr/lib/zope/lib/python/ZServer/medusa/test
  rm -rf $RPM_BUILD_ROOT/usr/lib/zope/lib/python/ZServer/medusa/thread/test*
  rm -rf $RPM_BUILD_ROOT/usr/lib/zope/lib/python/ZServer/medusa/thread/thread_handler.*
  rm -rf $RPM_BUILD_ROOT/usr/lib/zope/lib/python/ZServer/medusa/fifo.py*
  rm -rf $RPM_BUILD_ROOT/usr/lib/zope/lib/python/ZServer/medusa/monitor_client_win32.py*

  #  -------------------------------------
  rm -rf $RPM_BUILD_ROOT/usr/lib/zope/bin/test.py
  rm -rf $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages/StructuredText/Zwiki.py*
  rm -rf $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages/TAL/benchmark
  rm -rf $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages/TAL/{timer,runtest,ndiff,driver,DummyEngine,markbench,talgettext,}.py*
  rm -rf $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages/ZODB/{fsdump,fstools}.py*

  # ============================================
  find $RPM_BUILD_ROOT/ -type d -and -name tests | 
     sed -e "s|$RPM_BUILD_ROOT|/|g" |
     cat >tests.lst

  cp -dpr Zope-doc/* $RPM_BUILD_ROOT/usr/share/doc/Zope-%version
  cp -dpr Zope-doc/faq $RPM_BUILD_ROOT/usr/share/doc/Zope-%version/faq
  mv $RPM_BUILD_ROOT/usr/lib/zope/doc/* $RPM_BUILD_ROOT/usr/share/doc/Zope-%version
  cp $RPM_SOURCE_DIR/ZopeBook-2_6.pdf $RPM_BUILD_ROOT/usr/share/doc/ZopeBook

  
  #python zpasswd.py -u admin -p 12345678 inituser


  find $RPM_BUILD_ROOT/usr/lib/zope/lib -not -type d |
	sed -e "s|$RPM_BUILD_ROOT|/|g" |
	grep -v ".*orig$" |
	grep -v "/ZServer" |
	cat > files-Modules.lst

  echo > files-Modules.lst.tmp
  grep "\.py$" files-Modules.lst|sed -e "s|.*|&*|g" >>files-Modules.lst.tmp
  grep -v '\.py[co]\?$' files-Modules.lst >>files-Modules.lst.tmp
  mv files-Modules.lst.tmp files-Modules.lst

  %add_python_lib_path		/usr/lib/zope/lib/python/ /usr/lib/zope/lib/python/Products/
  %set_python_compile_method	both
  %add_python_req_skip		PersistentMapping

%pre ZHome
/usr/sbin/groupadd -r -f zope 2>/dev/null || :
/usr/sbin/useradd -g zope -c 'Zope server' -d /var/lib/zope -s '' -r zope 2>/dev/null || :

%post ZUtils
#if [ -e "/var/lib/zope/basic" ];
#	then echo "Basic site already exist and will not be upgraded";
#	else /usr/sbin/addzopesite.py basic 8000;
#fi;

%files
    %defattr(-, root, root)
    %doc Zope-doc/*

%files Modules
    %defattr(-, root, root)
    /usr/lib/zope/lib
    %exclude /usr/lib/zope/lib/python/zope
    %exclude /usr/lib/zope/lib/python/Products/Five
    %exclude /usr/lib/zope/lib/python/ZServer
    %exclude /usr/lib/zope/lib/python/*/tests
    %exclude /usr/lib/zope/lib/python/Products/*/tests
    %exclude /usr/lib/zope/lib/python/Products/PluginIndexes/*/tests
    %exclude /usr/lib/zope/lib/python/Zope2/Startup/tests
    %exclude /usr/lib/zope/lib/python/Products/PluginIndexes/TextIndex/Splitter/UnicodeSplitter/tests	
    %exclude /usr/lib/zope/lib/python/Products/ZCatalog/regressiontests
    %exclude /usr/lib/zope/lib/python/Products/Sessions/stresstests 
    %exclude /usr/lib/zope/lib/python/AccessControl/securitySuite
    %exclude /usr/lib/zope/lib/python/Signals/WinSignalHandler.py
    %exclude /usr/lib/zope/lib/python/Zope2/Startup/nt

%files core
    %defattr(-, root, root)
    /usr/lib/%pythondir/lib-dynload
    /usr/lib/%pythondir/site-packages/Interface
    /usr/lib/%pythondir/site-packages/ZTUtils
    /usr/lib/%pythondir/site-packages/zLOG
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files ZODB
    %defattr(-, root, root)
    #/usr/lib/%pythondir/site-packages/BDBStorage
    /usr/lib/%pythondir/site-packages/persistent
    /usr/lib/%pythondir/site-packages/transaction
    /usr/lib/%pythondir/site-packages/Persistence
    /usr/lib/%pythondir/site-packages/tempstorage
    /usr/lib/%pythondir/site-packages/ZODB
    /usr/lib/%pythondir/site-packages/BTrees
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files ExtensionClass
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/ExtensionClass
    %exclude /usr/lib/%pythondir/site-packages/*/tests


%files ZPublisher
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/ZPublisher
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files StructuredText
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/StructuredText
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files reStructuredText
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/reStructuredText
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files TAL
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/TAL
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files DateTime
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/DateTime
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files RestrictedPython
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/RestrictedPython
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files DocumentTemplate
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/DocumentTemplate
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files Testing 
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/Testing
    /usr/lib/zope/lib/python/*/tests
    /usr/lib/zope/lib/python/Products/*/tests
    /usr/lib/zope/lib/python/Products/PluginIndexes/*/tests
    /usr/lib/zope/lib/python/Zope2/Startup/tests
    /usr/lib/zope/lib/python/Products/PluginIndexes/TextIndex/Splitter/UnicodeSplitter/tests	
    /usr/lib/zope/lib/python/Products/ZCatalog/regressiontests
    /usr/lib/zope/lib/python/Products/Sessions/stresstests 
    /usr/lib/zope/lib/python/AccessControl/securitySuite

%files ThreadedAsync
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/ThreadedAsync
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files docutils
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/docutils
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files Obsolete
    %defattr(-, root, root)
    #/usr/lib/zope/lib/python/xmlrpclib.py*
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files ZServer
    %defattr(-, root, root)
    /usr/lib/zope/lib/python/ZServer
    %exclude /usr/lib/zope/lib/python/ZServer/tests
    %exclude /usr/lib/zope/lib/python/ZServer/medusa/test/asyn*
    %exclude /usr/lib/zope/lib/python/ZServer/medusa/test/test*
    #/usr/lib/zope/lib/python/ZServer/medusa/test/__init__.py* 
    #/usr/lib/zope/lib/python/ZServer/medusa/test/max_sockets.py* 

%files ZUtils
    %defattr(-, root, root)
    /etc/cron.daily/*
    /etc/logrotate.d/*
    /etc/rc.d/init.d/*
    %config(noreplace) /etc/sysconfig/zope_hosts.cfg
    %config(noreplace) /etc/sysconfig/zope_local.cfg
    %config(noreplace) /etc/httpd/conf/zope_proxy.conf
    %config(noreplace) /etc/sysconfig/zope_default
    /usr/lib/zope/bin
    %_bindir/*
    /var/lib/zope
    /var/log/zope
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files ZHome
    %defattr(-, zope, zope)
    %prefix/skel
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files Book
    %defattr(-, root, root)
    /usr/share/doc/ZopeBook
    %exclude /usr/lib/%pythondir/site-packages/*/tests

%files Five
    %defattr(-, root, root)
    /usr/lib/zope/lib/python/Products/Five
    %exclude /usr/lib/zope/lib/python/Products/Five/tests

%files X3
    %defattr(-, root, root)
    /usr/lib/zope/lib/python/zope
    %exclude /usr/lib/zope/lib/python/zope/*/tests
    %exclude /usr/lib/zope/lib/python/zope/*/*/tests
    %exclude /usr/lib/zope/lib/python/zope/app/*/*/tests
    %exclude /usr/lib/zope/lib/python/zope/*/ftests
    %exclude /usr/lib/zope/lib/python/zope/*/*/ftests
    %exclude /usr/lib/zope/lib/python/zope/*/*/*/ftests

%changelog
* Mon Oct 03 2005 Andrey Orlov <cray@altlinux.ru> 2.8.1.final-alt1
- New version

* Mon Jul 04 2005 Andrey Orlov <cray@altlinux.ru> 2.8.0.final-alt7
- New Version
- Script mkzopeinstance has been changed to register new Zope
  instance in system configuration files and set permisions 
  as I want.
- Unicode patch has been fixed to avoid infinite recursion
  during plone site creating.


* Tue May 31 2005 Andrey Orlov <cray@altlinux.ru> 2.8.0.b2-alt6
- fsdump fixed

* Wed May 25 2005 Andrey Orlov <cray@altlinux.ru> 2.8.0.b2-alt5
- New version

* Sun Oct 31 2004 Andrey Orlov <cray@altlinux.ru> 2.8.0.a1-alt4
- Scripts that requires python-strict has been fixed

* Thu Oct 28 2004 Andrey Orlov <cray@altlinux.ru> 2.8.0.a1-alt3
- Some modules has been moved into site-packages
- ExtensionClass has been moved into separate package 

* Thu Oct 28 2004 Andrey Orlov <cray@altlinux.ru> 2.8.0.a1-alt1
- New version

* Tue Oct 26 2004 Andrey Orlov <cray@altlinux.ru> 2.7.3-alt2
- New version

* Mon Oct 18 2004 Andrey Orlov <cray@altlinux.ru> 2.7.2-alt3
- Some files added 

* Tue Oct  5 2004  Andrey Orlov <cray@altlinux.ru> 2.7.2-alt2
- mkzopeinstance patched
- Pack capability added into init.d scripts

* Wed Sep 22 2004 Andrey Orlov <cray@altlinux.ru> 2.7.2-alt1
- New version 

* Wed May 19 2004 Andrey Orlov <cray@altlinux.ru> 2.6.4-alt5
- Condional operators excluded from spec
- i18n patch unaplied (because of multiply errors in design)

* Mon May 10 2004 Andrey Orlov <cray@altlinux.ru> 2.6.4-alt4
- Rebuild

* Thu Apr 15 2004 Andrey Orlov <cray@altlinux.ru> 2.6.4-alt3
- Fixes added to rebuild with new python policy

* Sun Mar 21 2004 Andrey Orlov <cray@altlinux.ru> 2.6.4-alt2
- i18n patch added

* Fri Feb 13 2004 Andrey Orlov <cray@altlinux.ru> 2.6.4-alt1
- Undo safe_builtins fixes (It fixed in newversion);
- New version from DC;
- Unicode patch has been changed for crank-plone compatibility;

* Sun Jan 18 2004 Andrey Orlov <cray@altlinux.ru> 2.6.3-alt3
- In module DT_Utils new safe_builtins from ZopeGuards imported instead
  RestrictedPython used before;
- Attribute action fixed in a few management screen;
- Hook to rebuild in master22 added;

* Tue Jan 13 2004 Andrey Orlov <cray@altlinux.ru> 2.6.3-alt2
- New Version of Zope Book added

* Sat Jan 10 2004 Andrey Orlov <cray@altlinux.ru> 2.6.3-alt1
- New version packaged;
- Old patches eliminated;
- Emacs-like encoding header added into all service scripts;

* Sun Nov 30 2003 Andrey Orlov <cray@altlinux.ru> 2.6.2-alt2
- Patch has been apllied to avoid py23 incompatibility warning;
- rebuild on PY23;

* Mon Oct 20 2003 Andrey Orlov <cray@altlinux.ru> 2.6.2-alt1
- New versions from DC;
- Some unneeded requires excluded;

* Tue Sep 09 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt3
- Fix of unicode support broken on locale "C" (Special thank's for
  our Belorussian customers);

* Thu Aug 21 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt2
- Add obsolet clause for ZHotfix-2002-06-14

* Tue Aug 19 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt1
- Documentation synchronized with Alt Documentation Team;
- Patch from avl@l14.ru removed (initscript was changed in place);
- Fixed  bugs described in mantis reports (0002051, 0002061);
- Treatment protocol "localhttp" added into zope_proxy.conf;
- Access to ControlPanel is available now for protocol "localhttp" from
  hosts, allowed in zope_local.cfg.

* Tue Jul 01 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 2.6.1-alt0.7
- added patch by avl@l14.ru which corrected initscript

* Wed Jun 25 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt0.6
- Add old init script into /usr/share/doc/Zope catalog;
- Change addzopesite script for create export catalog and set owner root for
  var;

* Tue Jun 24 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt0.5
- Init script use start_daemon & stop_daemon functions now.

* Mon Jun 02 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt0.4
- getProperty now use locale settings if management_page_encoding is not
  defined;

* Wed May 28 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt0.3
- Fix some problems with property encoding (for non-string types);
- Add ZOPE_OPTIONS option;
- ZOPE_STDOUT option can be used now;
- Add "export" patch: Zope export *.zexp into "./export" catalog (
  it was exported into "./var" catalog before);

* Thu May 22 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt0.2
- ZTUtils patches from developers version are added
- Warning about untested Python 2.2.2 replace on "Tested By Freehand"
  (we execute it on production servers);

* Sun May 11 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt0.1
- New version from Zope.ORG
- Patch for correct unicode treatment was adopted to new
  ideas of zope community.
- Patch to close stdin if zope is not run in debug mode was applied.

* Sun Dec 14 2002 Andrey Orlov <cray@altlinux.ru> 2.6.0-alt0.5
- New version from Zope.ORG
- Patch for correct unicode treatment added.

* Sat Dec 14 2002 Andrey Orlov <cray@altlinux.ru> 2.5.1-alt4
- Sample of using Apache for serving file request added;
- Package dependeces refactored : Single common package - Zope -
  are to install now, other packages will be installes automatically;
- Rewrite log level assing 0 and rewrite log turn off now (there was
  some error after last debugging);
- Documentation enhanced;

* Sat Nov 09 2002 Andrey Orlov <cray@altlinux.ru> 2.5.1-alt3
- Some docs updated and converted in docbook
- Tested on python2.2
- Utilities has been tested and fixed for new use cases
- Fix some Zope.spec incompatibilities

* Fri Oct 4 2002 Andrey Orlov <cray@altlinux.ru> 2.5.1-alt2
- Fix DeprecationWarning (strop functions are obsolete) in
  module TAL
- Add advanced logging support
- Add custom ZODB support

* Fri May 17 2002 Andrey Orlov <cray@altlinux.ru> 2.5.0-alt6
- Reuse losted alt3 fixes
- Fix some spec definitions

* Fri May 17 2002 Andrey Orlov <cray@altlinux.ru> 2.5.0-alt5
- Fix python2.2.1 incompatibiity in Interface/iclass.py

* Sun Apr 14 2002 Uzorin Pavel <pitch@altlinux.ru> 2.5.0-alt4
- Add and change documentation
- Moved logs to /var/log/zope
- Fix init scripts

* Wed Feb 27 2002 Uzorin Pavel <pitch@altlinux.ru> 2.5.0-alt3
- Add ZopeBook package
- Fix comment
- Added some changes :)

* Thu Feb 21 2002 Uzorin Pavel <pitch@altlinux.ru> 2.5.0-alt3
- Restarting ZServer with FCNTL deprecated in Python 2.2 bug
  has been fixed

* Tue Feb 12 2002 Uzorin Pavel <pitch@altlinux.ru> 2.5.0-alt2
- Documentation and configuration files added

* Tue Feb 12 2002 Uzorin Pavel <pitch@altlinux.ru> 2.5.0-iig1
- Initial revision
